Loading...
Searching...
No Matches
seqan3::invalid_alignment_configuration Class Reference

Thrown if the configuration of the alignment algorithm is invalid. More...

`#include <seqan3/alignment/exception.hpp>`

Inheritance diagram for seqan3::invalid_alignment_configuration:
[legend]

## Public Member Functions

| invalid_alignment_configuration (std::string const &s)
| The constructor.
Public Member Functions inherited from std::invalid_argument
T | invalid_argument (T... args)
T | what (T... args)

## Detailed Description

Thrown if the configuration of the alignment algorithm is invalid.

## Constructor & Destructor Documentation

## invalid_alignment_configuration()

seqan3::invalid_alignment_configuration::invalid_alignment_configuration | ( | std::string const & | s | ) |

inline

The constructor.

Parameters

  [in] | s | The error message.

The documentation for this class was generated from the following file:

- alignment/exception.hpp

Hide me